App\Library\Amazon\Classes\RawMaterials:
    xml_root_name: RawMaterials
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: string
        airEntryPressure:
            expose: true
            access_type: public_method
            serialized_name: AirEntryPressure
            accessor:
                getter: getAirEntryPressure
                setter: setAirEntryPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        backingType:
            expose: true
            access_type: public_method
            serialized_name: BackingType
            accessor:
                getter: getBackingType
                setter: setBackingType
            type: string
        ballType:
            expose: true
            access_type: public_method
            serialized_name: BallType
            accessor:
                getter: getBallType
                setter: setBallType
            type: string
        compatibleWithTubeGauge:
            expose: true
            access_type: public_method
            serialized_name: CompatibleWithTubeGauge
            accessor:
                getter: getCompatibleWithTubeGauge
                setter: setCompatibleWithTubeGauge
            type: float
        cornerStyle:
            expose: true
            access_type: public_method
            serialized_name: CornerStyle
            accessor:
                getter: getCornerStyle
                setter: setCornerStyle
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        discDiameterString:
            expose: true
            access_type: public_method
            serialized_name: DiscDiameterString
            accessor:
                getter: getDiscDiameterString
                setter: setDiscDiameterString
            type: App\Library\Amazon\Classes\LengthDimensionType
        durometerHardness:
            expose: true
            access_type: public_method
            serialized_name: DurometerHardness
            accessor:
                getter: getDurometerHardness
                setter: setDurometerHardness
            type: string
        exteriorFinish:
            expose: true
            access_type: public_method
            serialized_name: ExteriorFinish
            accessor:
                getter: getExteriorFinish
                setter: setExteriorFinish
            type: string
        foamStructure:
            expose: true
            access_type: public_method
            serialized_name: FoamStructure
            accessor:
                getter: getFoamStructure
                setter: setFoamStructure
            type: string
        gaugeString:
            expose: true
            access_type: public_method
            serialized_name: GaugeString
            accessor:
                getter: getGaugeString
                setter: setGaugeString
            type: string
        gradeRating:
            expose: true
            access_type: public_method
            serialized_name: GradeRating
            accessor:
                getter: getGradeRating
                setter: setGradeRating
            type: string
        holeCount:
            expose: true
            access_type: public_method
            serialized_name: HoleCount
            accessor:
                getter: getHoleCount
                setter: setHoleCount
            type: integer
        insideDiameterString:
            expose: true
            access_type: public_method
            serialized_name: InsideDiameterString
            accessor:
                getter: getInsideDiameterString
                setter: setInsideDiameterString
            type: App\Library\Amazon\Classes\LengthDimensionType
        insideDiameterToleranceString:
            expose: true
            access_type: public_method
            serialized_name: InsideDiameterToleranceString
            accessor:
                getter: getInsideDiameterToleranceString
                setter: setInsideDiameterToleranceString
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDiameterToleranceString:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameterToleranceString
            accessor:
                getter: getItemDiameterToleranceString
                setter: setItemDiameterToleranceString
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemHardness:
            expose: true
            access_type: public_method
            serialized_name: ItemHardness
            accessor:
                getter: getItemHardness
                setter: setItemHardness
            type: string
        itemLengthToleranceString:
            expose: true
            access_type: public_method
            serialized_name: ItemLengthToleranceString
            accessor:
                getter: getItemLengthToleranceString
                setter: setItemLengthToleranceString
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        itemTemper:
            expose: true
            access_type: public_method
            serialized_name: ItemTemper
            accessor:
                getter: getItemTemper
                setter: setItemTemper
            type: string
        itemThickness:
            expose: true
            access_type: public_method
            serialized_name: ItemThickness
            accessor:
                getter: getItemThickness
                setter: setItemThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemThicknessToleranceString:
            expose: true
            access_type: public_method
            serialized_name: ItemThicknessToleranceString
            accessor:
                getter: getItemThicknessToleranceString
                setter: setItemThicknessToleranceString
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemWidthToleranceString:
            expose: true
            access_type: public_method
            serialized_name: ItemWidthToleranceString
            accessor:
                getter: getItemWidthToleranceString
                setter: setItemWidthToleranceString
            type: App\Library\Amazon\Classes\LengthDimensionType
        lowerBubblingPressure:
            expose: true
            access_type: public_method
            serialized_name: LowerBubblingPressure
            accessor:
                getter: getLowerBubblingPressure
                setter: setLowerBubblingPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        lowerTemperatureRating:
            expose: true
            access_type: public_method
            serialized_name: LowerTemperatureRating
            accessor:
                getter: getLowerTemperatureRating
                setter: setLowerTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        map:
            expose: true
            access_type: public_method
            serialized_name: Map
            accessor:
                getter: getMap
                setter: setMap
            type: float
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        maximumPressure:
            expose: true
            access_type: public_method
            serialized_name: MaximumPressure
            accessor:
                getter: getMaximumPressure
                setter: setMaximumPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        measurementSystem:
            expose: true
            access_type: public_method
            serialized_name: MeasurementSystem
            accessor:
                getter: getMeasurementSystem
                setter: setMeasurementSystem
            type: string
        meshCount:
            expose: true
            access_type: public_method
            serialized_name: MeshCount
            accessor:
                getter: getMeshCount
                setter: setMeshCount
            type: App\Library\Amazon\Classes\MeshCountDimensionType
        meshForm:
            expose: true
            access_type: public_method
            serialized_name: MeshForm
            accessor:
                getter: getMeshForm
                setter: setMeshForm
            type: string
        meshNumber:
            expose: true
            access_type: public_method
            serialized_name: MeshNumber
            accessor:
                getter: getMeshNumber
                setter: setMeshNumber
            type: integer
        meshOpeningShape:
            expose: true
            access_type: public_method
            serialized_name: MeshOpeningShape
            accessor:
                getter: getMeshOpeningShape
                setter: setMeshOpeningShape
            type: string
        meshOpeningSize:
            expose: true
            access_type: public_method
            serialized_name: MeshOpeningSize
            accessor:
                getter: getMeshOpeningSize
                setter: setMeshOpeningSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        metalConstructionType:
            expose: true
            access_type: public_method
            serialized_name: MetalConstructionType
            accessor:
                getter: getMetalConstructionType
                setter: setMetalConstructionType
            type: string
        notchDepth:
            expose: true
            access_type: public_method
            serialized_name: NotchDepth
            accessor:
                getter: getNotchDepth
                setter: setNotchDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        notchWidth:
            expose: true
            access_type: public_method
            serialized_name: NotchWidth
            accessor:
                getter: getNotchWidth
                setter: setNotchWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        openAreaPercentage:
            expose: true
            access_type: public_method
            serialized_name: OpenAreaPercentage
            accessor:
                getter: getOpenAreaPercentage
                setter: setOpenAreaPercentage
            type: float
        poreDiameter:
            expose: true
            access_type: public_method
            serialized_name: PoreDiameter
            accessor:
                getter: getPoreDiameter
                setter: setPoreDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        shimType:
            expose: true
            access_type: public_method
            serialized_name: ShimType
            accessor:
                getter: getShimType
                setter: setShimType
            type: string
        slotDepth:
            expose: true
            access_type: public_method
            serialized_name: SlotDepth
            accessor:
                getter: getSlotDepth
                setter: setSlotDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        slotWidth:
            expose: true
            access_type: public_method
            serialized_name: SlotWidth
            accessor:
                getter: getSlotWidth
                setter: setSlotWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        specificationMet:
            expose: true
            access_type: public_method
            serialized_name: SpecificationMet
            accessor:
                getter: getSpecificationMet
                setter: setSpecificationMet
            type: string
        sphericityString:
            expose: true
            access_type: public_method
            serialized_name: SphericityString
            accessor:
                getter: getSphericityString
                setter: setSphericityString
            type: App\Library\Amazon\Classes\LengthDimensionType
        standardConstruction:
            expose: true
            access_type: public_method
            serialized_name: StandardConstruction
            accessor:
                getter: getStandardConstruction
                setter: setStandardConstruction
            type: string
        subjectContent:
            expose: true
            access_type: public_method
            serialized_name: SubjectContent
            accessor:
                getter: getSubjectContent
                setter: setSubjectContent
            type: string
        tensileStrength:
            expose: true
            access_type: public_method
            serialized_name: TensileStrength
            accessor:
                getter: getTensileStrength
                setter: setTensileStrength
            type: App\Library\Amazon\Classes\TensileStrengthDimensionType
        threadDiameterString:
            expose: true
            access_type: public_method
            serialized_name: ThreadDiameterString
            accessor:
                getter: getThreadDiameterString
                setter: setThreadDiameterString
            type: App\Library\Amazon\Classes\LengthDimensionType
        toleranceHeld:
            expose: true
            access_type: public_method
            serialized_name: ToleranceHeld
            accessor:
                getter: getToleranceHeld
                setter: setToleranceHeld
            type: string
        tubingWallType:
            expose: true
            access_type: public_method
            serialized_name: TubingWallType
            accessor:
                getter: getTubingWallType
                setter: setTubingWallType
            type: string
        upperBubblingPressure:
            expose: true
            access_type: public_method
            serialized_name: UpperBubblingPressure
            accessor:
                getter: getUpperBubblingPressure
                setter: setUpperBubblingPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        upperTemperatureRating:
            expose: true
            access_type: public_method
            serialized_name: UpperTemperatureRating
            accessor:
                getter: getUpperTemperatureRating
                setter: setUpperTemperatureRating
            type: App\Library\Amazon\Classes\TemperatureDimensionType
        voidVolumePercentage:
            expose: true
            access_type: public_method
            serialized_name: VoidVolumePercentage
            accessor:
                getter: getVoidVolumePercentage
                setter: setVoidVolumePercentage
            type: float
        wallThickness:
            expose: true
            access_type: public_method
            serialized_name: WallThickness
            accessor:
                getter: getWallThickness
                setter: setWallThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        wallThicknessToleranceString:
            expose: true
            access_type: public_method
            serialized_name: WallThicknessToleranceString
            accessor:
                getter: getWallThicknessToleranceString
                setter: setWallThicknessToleranceString
            type: App\Library\Amazon\Classes\LengthDimensionType
        wireDiameterString:
            expose: true
            access_type: public_method
            serialized_name: WireDiameterString
            accessor:
                getter: getWireDiameterString
                setter: setWireDiameterString
            type: App\Library\Amazon\Classes\LengthDimensionType
